Debian Bug report logs - #166140
FTBFS: Build failure of cproto on i386

version graph

Packages: cproto, bison; Maintainer for cproto is Kenneth J. Pronovici <pronovic@debian.org>; Source for cproto is src:cproto. Maintainer for bison is Chuan-kai Lin <cklin@debian.org>; Source for bison is src:bison.

Reported by: Junichi Uekawa <dancer@netfort.gr.jp>

Date: Thu, 24 Oct 2002 04:48:12 UTC

Severity: serious

Tags: fixed, pending

Found in version 4.6d-1

Done: Kenneth Pronovici <pronovic@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Carsten Leonhardt <leo@debian.org>, Vincent Renardias <vincent@debian.org>, cproto@packages.qa.debian.org, bison@packages.qa.debian.org:
Bug#166140; Package cproto,bison. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
New Bug report received and forwarded. Copy sent to Carsten Leonhardt <leo@debian.org>, Vincent Renardias <vincent@debian.org>, cproto@packages.qa.debian.org, bison@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: submit bug tracking system <submit@bugs.debian.org>
Subject: FTBFS: Build failure of cproto on i386
Date: Thu, 24 Oct 2002 13:39:20 +0900

Package: cproto,bison
Version: 4.6d-1
Severity: serious


cproto fails to build from source on i386, when doing a rebuild inside chroot.

I am filing this bug to notify you that I failed to build your
package from source in the current sid distribution.
It is a serious problem that your source does not 
build from source using the information provided in your control files,
and such a package should not be distributed in a stable Debian distribution.

This build was done using pbuilder package.


Build log follows:
===========================================
bison -y ./grammar.y
conflicts:  1 shift/reduce, 29 reduce/reduce
flex ./lex.l
gcc -g -O2 -I.  -DHAVE_CONFIG_H  -I.  -DHAVE_CONFIG_H   -c -o y.tab.o y.tab.c
./grammar.y: In function `yyparse':
./grammar.y:211: request for member `decl_spec' in something not a structure or union
./grammar.y:215: request for member `decl_spec' in something not a structure or union
./grammar.y:221: request for member `decl_spec' in something not a structure or union
./grammar.y:221: request for member `decl_list' in something not a structure or union
./grammar.y:223: request for member `decl_spec' in something not a structure or union
./grammar.y:223: request for member `decl_list' in something not a structure or union
./grammar.y:227: request for member `decl_list' in something not a structure or union
./grammar.y:229: request for member `decl_spec' in something not a structure or union

	.
	.
	.


./grammar.y:810: request for member `declarator' in something not a structure or union
./grammar.y:810: request for member `declarator' in something not a structure or union
./grammar.y:811: request for member `declarator' in something not a structure or union
In file included from ./grammar.y:824:
./lex.l: In function `save_text_offset':
./lex.l:472: request for member `text' in something not a structure or union
./lex.l:472: request for member `text' in something not a structure or union
./lex.l:472: request for member `text' in something not a structure or union
./lex.l:477: request for member `text' in something not a structure or union
./lex.l:480: request for member `text' in something not a structure or union
make[1]: *** [y.tab.o] Error 1
make[1]: Leaving directory `/tmp/buildd/cproto-4.6d'
make: *** [build-stamp] Error 2
===========================================
Full build log is available at: http://www.netfort.gr.jp/~dancer/software/failed-log/cproto.log


regards,
   junichi


-- 
dancer@debian.org  http://www.netfort.gr.jp/~dancer






Information forwarded to debian-bugs-dist@lists.debian.org, Carsten Leonhardt <leo@debian.org>, Vincent Renardias <vincent@debian.org>, cproto@packages.qa.debian.org, bison@packages.qa.debian.org:
Bug#166140; Package cproto,bison. Full text and rfc822 format available.

Acknowledgement sent to Lukas Geyer <lukas@debian.org>:
Extra info received and forwarded to list. Copy sent to Carsten Leonhardt <leo@debian.org>, Vincent Renardias <vincent@debian.org>, cproto@packages.qa.debian.org, bison@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 166140@bugs.debian.org (full text, mbox):

From: Lukas Geyer <lukas@debian.org>
To: 166140@bugs.debian.org
Subject: BSP NMU, HITD (Here Is The Diff)
Date: 14 Mar 2003 20:15:18 -0500
[Message part 1 (text/plain, inline)]
Hi,

this was just a stupid bison thing. Just uploaded to
DELAYED/7-days. Hmm, is somebody here? The maintainer seems to be
inactive.

Lukas

-- 
Give a man an answer, and he's satisfied today. Teach him to program,
and he will be frustrated for the rest of his life. 

[cproto-diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Carsten Leonhardt <leo@debian.org>, Vincent Renardias <vincent@debian.org>, cproto@packages.qa.debian.org, bison@packages.qa.debian.org:
Bug#166140; Package cproto,bison. Full text and rfc822 format available.

Acknowledgement sent to Lukas Geyer <lukas@debian.org>:
Extra info received and forwarded to list. Copy sent to Carsten Leonhardt <leo@debian.org>, Vincent Renardias <vincent@debian.org>, cproto@packages.qa.debian.org, bison@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 166140@bugs.debian.org (full text, mbox):

From: Lukas Geyer <lukas@debian.org>
To: 166140@bugs.debian.org
Cc: dancer@netfort.gr.jp
Subject: IFTC (I forgot the changes)
Date: 15 Mar 2003 00:09:31 -0500
Here comes the -changes file, I forgot that in my last mail.

Lukas

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 15 Mar 2003 00:35:43 +0000
Source: cproto
Binary: cproto
Architecture: source powerpc
Version: 4.6d-1.1
Distribution: unstable
Urgency: low
Maintainer: Carsten Leonhardt <leo@debian.org>
Changed-By: Lukas Geyer <lukas@debian.org>
Description: 
 cproto     - generate C function prototypes and convert function definitions
Closes: 166140
Changes: 
 cproto (4.6d-1.1) unstable; urgency=low
 .
   * NMU (Bug squashing party)
   * Fix bison breakage (closes: #166140)
Files: 
 7dd315c0d356585de61b81000c4a7a87 604 devel optional cproto_4.6d-1.1.dsc
 056472b79ff582728bc2e0bb4010d2ea 2030 devel optional cproto_4.6d-1.1.diff.gz
 33c5b321126e658bbb5285e6487ccd63 41544 devel optional cproto_4.6d-1.1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE+cnlNq+SFm3+do7IRAlvBAJ0UnmzsEFBAysWzlDKTbmhXGHHoEQCfRrWj
ecbsvgBQlxx/VTY6/SqL3SQ=
=heej
-----END PGP SIGNATURE-----



Tags added: pending Request was from Lukas Geyer <lukas@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Lukas Geyer <lukas@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Kenneth Pronovici <pronovic@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 166140-close@bugs.debian.org (full text, mbox):

From: Kenneth Pronovici <pronovic@debian.org>
To: 166140-close@bugs.debian.org
Subject: Bug has been fixed in NMU
Date: Mon, 7 Apr 2003 20:48:22 -0500
[Message part 1 (text/plain, inline)]
This bug was fixed in an NMU about a month ago.  I'm closing it now
since I've taken possession of the package.

KEN

-- 
Kenneth J. Pronovici <pronovic@debian.org>
"The dark side of the force is seductive.  It tries to make us efficient, even
at the cost of clarity and maintainability.  In that way lies bit-twiddling
and assembler language and soldering irons.  We must be diligent in our fight
against it."  -- Roy Smith, on comp.lang.python
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:18:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.